PDA

View Full Version : IMAGE TRANSPARENCY



348PATTERSON
2004-08-25, 12:06 PM
Good Morning,

I use AutoCAD 2000 and Land Desktop 3 and work in the Land Development and Land Planning. More than enough times I work from sketches that need to be input to a CAD format. This is done by typically scanning the sketch to a tiff and inserting an image and aligning it. What I do not understand is why after the image is inserted you have to make it transparent? When working with existing information and proposed information (sketch), you want to see all of the information not just the image. I have not come across an instance where I needed an image not to be transparent. Is there a lisp out there that makes all images transparent or perhaps a lisp that would toggle the transparency on or off. If not this would be a nice feature to add to the software. It eliminates an extra step, if when inserted, was transparent already. Any direction on this would be helpful.

Thank you,
W.C.P.

matt.worland
2004-08-26, 01:45 PM
I am not good at reactors yet but if you run this it will set the transparency of all images to On


HTH.
Matt



(defun c:ITOn (/ )
(vl-load-com)
(vlax-for Block (vla-get-blocks (vla-get-activedocument (vlax-get-acad-object)))
(vlax-for obj Block
(if (and (= (vla-get-objectname obj) "AcDbRasterImage")
(= (vlax-get-property obj 'Transparency) :vlax-false)
)
(vlax-put-property obj 'Transparency :vlax-true)
)
)
)
)

348PATTERSON
2004-08-31, 11:52 AM
Thanks Matt.